## Apache Zeta Components Manual :: Docs For Class ezcMvcNamedRouteNotReversableException

### MvcTools::ezcMvcNamedRouteNotReversableException

### Class ezcMvcNamedRouteNotReversableException

This exception is thrown when a reverse route is requested on a route class that does not support it.

Source for this file: /MvcTools/src/exceptions/named_route_not_reversable.php

    Exception
       |
       --ezcBaseException
          |
          --ezcMvcToolsException
             |
             --ezcMvcNamedRouteNotReversableException

Version: | //autogentag//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcMvcNamedRouteNotReversableException | `__construct( $routeName , $routerClass )` Constructs an ezcMvcNamedRouteNotReversableException

### Inherited Methods

From ezcMvcToolsException
public void | `ezcMvcToolsException::__construct()` Constructs an ezcMvcToolsException
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcMvcNamedRouteNotReversableException __construct( string $routeName , string $routerClass )

Constructs an ezcMvcNamedRouteNotReversableException

##### Parameters:

Name | Type | Description
--- | --- | ---
`$routeName` | string |
`$routerClass` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcMvcToolsException::__construct()` | Constructs an ezcMvcToolsException

Documentation generated by phpDocumentor 1.4.3